## arv 2.4.0-24

=== debian/changelog ===
arv (2.4.0-24) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [97ada22] La création du répertoire d'archive vpn en database ne se faisait pas assez tôt dans la boucle fixes #7919 @30m
  * [fcf1a80] Merge branch '2.3'
  * [07da471] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [d091e6e] Fabrice: Update package since 'debian/eole/2.4/2.4.0-23'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 09 Apr 2014 14:09:22 +0200

arv (2.4.0-23) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [4ac4327] childpage.py - synchro Zéphir info : gestion accents dans le libellé fixes #7739 @3h
  * [573c3f6] Merge branch '2.3'
  * [ecaa838] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [2123eca] Fabrice: Update package since 'debian/eole/2.4/2.4.0-22'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Fri, 04 Apr 2014 08:46:16 +0200

arv (2.4.0-22) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [ddc79d8] Gestion de id_zephir pour le renvoi d'archive VPN ref #7739 @30m
  * [1e8c98b] Merge branch '2.3'
  * [0c9feaa] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [49f6aa5] Fabrice: Update package since 'debian/eole/2.4/2.4.0-21'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 02 Apr 2014 14:30:15 +0200

arv (2.4.0-21) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [990944e] Synchronisation node uai, name, id_zephir, eole_version avec Zéphir fixes #7739 @5h
  * [e6b04f5] Merge branch '2.3'
  * [0b6a1a8] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [8eb2417] Fabrice: Update package since 'debian/eole/2.4/2.4.0-20'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 02 Apr 2014 11:52:57 +0200

arv (2.4.0-20) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [eb16b42] posttemplate/00-arv : erreur de syntaxe fixes #7449 @10m
  * [214b97f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [3c7ec49] Fabrice: Update package since 'debian/eole/2.4/2.4.0-19'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Mon, 31 Mar 2014 11:23:32 +0200

arv (2.4.0-19) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [3c6a55e] posttemplate/00-arv : erreur de syntaxe fixes #7449 @10m
  * [1f3a120] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [d866f4d] Fabrice: Update package since 'debian/eole/2.4/2.4.0-18'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Mon, 31 Mar 2014 11:18:18 +0200

arv (2.4.0-18) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [2b28a4e] arv/lib/util.py : code identique à EOLE 2.3 fixes #6931 @30m
  * [a77eb1f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [8a3e0a4] Fabrice: Update package since 'debian/eole/2.4/2.4.0-17'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Mon, 31 Mar 2014 10:40:57 +0200

arv (2.4.0-17) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [4b740b4] posttemplate/00-arv : gestion des exceptions que unmanaged_service peut lever fixes #7449 @30m
  * [683e5d6] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f1fc022] Fabrice: Update package since 'debian/eole/2.4/2.4.0-16'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Thu, 27 Mar 2014 14:04:01 +0100

arv (2.4.0-16) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [0c38b72] test-rvp : test chemin 152-rvp pour diagnose fixes #7491 @30m
  * [0975eaf] Merge branch '2.3'
  * [8b22e1c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [e3cb9c9] Fabrice: Update package since 'debian/eole/2.4/2.4.0-15'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Thu, 27 Mar 2014 09:01:59 +0100

arv (2.4.0-15) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [19c1e86] Enlève les caractères \ ' et " des noms de connexions en mode fichier plat fixes #7004 @1h
  * [f5f684f] Renvoi sur Zéphir des conf VPN également si IP eth1 Sphynx modifiée fixes #7030 @2h
  * [32bdc97] Merge branch '2.3'
  * [510133c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [7c4e90b] Fabrice: Update package since 'debian/eole/2.4/2.4.0-14'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 19 Mar 2014 08:18:43 +0100

arv (2.4.0-14) eole-2.4-unstable; urgency=low

  * [220c619] Oubli de 2 fichiers ref #7370 @15m

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Fri, 14 Mar 2014 16:08:37 +0100

arv (2.4.0-13) eole-2.4-unstable; urgency=low

  * [1e9b340] Interface ARV : on peut modifier une IP externe (onglet Serveurs RVP) fixes #7370 @6h

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Fri, 14 Mar 2014 15:27:48 +0100

arv (2.4.0-12) eole-2.4-unstable; urgency=low

  * [fe1ba99] Dictionnaire de correspondance variables 2.3 -> 2.4 avec var 3.4 en key Pour l'interrogation Zéphir, on essaie la variable 2.3, si n'existe pas, on essaie variable 2.4 fixes #7265 @3h

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Thu, 13 Mar 2014 08:52:31 +0100

arv (2.4.0-11) eole-2.4-unstable; urgency=low

  * [20fb2ae] Ajout IP externe depuis Zéphir : affectation variable 'ip' au mauvais endroit fixes #6932 @30m

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Thu, 20 Feb 2014 11:02:41 +0100

arv (2.4.0-10) eole-2.4-unstable; urgency=low

  * [fa9620a] Prise en charge modules 2.4 et gestion Zéphir_ID + eole_version fixes #6932 @14h
  * [291236c] Empêcher suppression modèle de tunnel si un tunnel est déclaréa fixes #7016 @2h30
  * [cceb813] relecture des fichiers certificats et clefs privées avant update ipsec.conf fixes #7259 @30m
  * [6f0b653] Test si uai et name pas à None pour la conaténation de string fixes #6778 @30m

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 12 Feb 2014 11:14:52 +0100

arv (2.4.0-9) eole-2.4-unstable; urgency=low

  * [2d42e00] Revert "ipsec reload pour prendre en compte le nouvel ipsec.conf de Sphynx" fixes #7259 @10m
  * [57a7298] Ajout colonne "Serveur RVP associé" dans l'onglet Certificats fixes #6778 @2h



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Force init script name
override_dh_installinit:
	dh_installinit --no-start -p arv $@

.PHONY: dh_installinit

## arv 2.4.1-11

=== Makefile ===
################################
# Makefile pour arv
################################

SOURCE=arv
VERSION=2.4
EOLE_VERSION=2.4
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
arv (2.4.1-11) eole-2.4.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [9c55765] Génération des archives ipsec en mode fichier plat : md5sum sur tous les fichiers de l'archive fixes #10305 @2h
  * [22f7b92] Génération des archives ipsec en mode fichier plat : md5sum sur tous les fichiers de l'archive fixes #10305 @2h
  * [c5eb964] Merge branch 'issue/10305'
  * [6a002a2] Merge branch '2.4.1/master'

  [ root ]
  * [9a464bd] Merge branch 'issue/10305' of ssh://192.168.230.25/home/barco/git/arv into issue/10305

  [ Daniel Dehennin ]
  * [3e89dee] arv/lib/usezephir.py : chargement valeurs Zéphir des variables multi OK
  * [8c2159d] arv/web/childpage.py : Affichage correct de liens entre 2 serveurs RVP de même type arv/lib/sw_config_apply.py : génération correcte des conf ipsec entre serveurs de même type (uniquement mode fichier plat)

  [ EOLE Build Daemon ]
  * [b29d9c8] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-10”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 26 Mar 2015 10:48:11 +0100

arv (2.4.1-10) eole-2.4-unstable; urgency=low

  [ root ]
  * [b7c765d] Cache/Montre+resize en fonction du type de login au moment du load

  [ Fabrice Barconnière ]
  * [90e97fe] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [1a1ffba] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-9”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 04 Feb 2015 11:15:18 +0100

arv (2.4.1-9) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [3252d1b] init.d/arv : faire un do_wait systématiquement au stop
  * [49bc927] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [ef30cba] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-8”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 20 Jan 2015 13:22:30 +0100

arv (2.4.1-8) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [7abadc9] arv.postinst : remove les start/stop runlevel avant de les ajouter

  [ EOLE Build Daemon ]
  * [4dd6e21] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 16 Jan 2015 11:26:17 +0100

arv (2.4.1-7) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [87cec10] service arv : start/stop en 21 pour tous les runlevel

  [ EOLE Build Daemon ]
  * [7627db2] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 16 Jan 2015 10:24:36 +0100

arv (2.4.1-6) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [21c26eb] Refactoring du script d'init arv
  * [8ed0313] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [89bc4fd] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 15 Jan 2015 15:43:08 +0100

arv (2.4.1-5) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [78c93a7] init.d/arv : pas de "set -e" (pose pb) et inspiration du script z_stats
  * [5a85d54] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [fd41343] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 14 Jan 2015 09:21:37 +0100

arv (2.4.1-4) eole-2.4-unstable; urgency=low

  [ gwen ]
  * [3addb1b] utilisation de mkstemp dans scribe backend, ref #10185

  [ Fabrice Barconnière ]
  * [8ef8713] init.d/arv : il manquait les exit pour start, stop, status et monitor
  * [c94b5de] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [8aeb0c9] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 13 Jan 2015 14:24:30 +0100

arv (2.4.1-3) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [1d40fae] arv/lib/usezephir.py : prise en compte du numéro de version 2.4.1
  * [0bc3c4f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [b6ebefd] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.1-2'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 28 Nov 2014 14:36:10 +0100

arv (2.4.1-2) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [db4f93a] ARV mode fichier plat : remplace "/" par "_" dans le nom de fichier des certificats fixes #9210 @1h
  * [81bab33] Rafraichit l'onglet Certificat quand un serveur est supprimé fixes #9192 @30m
  * [5909209] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [9e81ef8] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.1-1'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 14 Oct 2014 16:45:05 +0200

arv (2.4.1-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [df9922f] Update gitignore for EOLE 2.4.1

  [ Fabrice Barconnière ]
  * [90b7a51] sw_config_apply.py : correction génération type IP dans ipsec.conf fixes #8757 @30m
  * [c31a409] config.py : ConfigObj dans le try fixes #8144 @15m
  * [444018d] Supprimer les modèles de connexion ne supprime plus les modèles de réseau fixes #8145 @14h
  * [ef48537] Ajout item gestion modèle de réseau (Modifier/Supprimer uniquement) fixes #8758 @4h
  * [65f0a80] Merge branch '2.3' into 2.4.0/master
  * [7f6918b] Merge branch '2.4.0/master'
  * [4c3151c] Gestion de l'envoi ou non des certificats à l'établissement des tunnels fixes #8545 @28h
  * [54ff19d] Merge branch '2.3'
  * [dfa6b05] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [e66d4b0] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.0-26'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 30 Sep 2014 16:41:53 +0200

arv (2.4.0-26) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]


=== debian/control ===
Source: arv
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/arv
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/arv/repository

Package: arv
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-arv,
 resource-agents, strongswan-starter, python-pyeole (>= 2.4.0-61)
Description: Administration de Réseaux Virtuels privés (ARV)
 ARV est un outil web permettant de gerer les configurations VPN
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-arv
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-elixir, python-sqlalchemy, python-formencode,
 python-configobj, python-pyparsing, sqlite3
Description: Librairies python pour ARV
 ARV est un outil web permettant de gerer les configurations VPN
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: arv-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation pour ARV
 ARV est un outil web permettant de gerer les configurations VPN
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 # Force init script name
 override_dh_installinit:
-	dh_installinit --no-start -p arv $@
+	dh_installinit --no-start -p arv -u"start 21 2 3 4 5 . stop 21 0 1 6 ." $@
 
 .PHONY: dh_installinit

## arv 2.6.0-24

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 ################################
 
 SOURCE=arv
-VERSION=2.4
-EOLE_VERSION=2.4
+VERSION=2.6
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
arv (2.6.0-24) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [dfdc687] Revert "Les communications vers les réseaux locaux réseaux locaux passaient par les tunnels"
  * [e2011e1] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [45f1ab1] Fabrice Barconnière: Update package since “debian/eole/2.6.0-23”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Mar 2018 10:41:24 +0100

arv (2.6.0-23) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [31aba4f] Merge branch 'feature/new-algo-esp' into 2.5.2/master
  * [8e1307b] Les communications vers les réseaux locaux réseaux locaux passaient par les tunnels
  * [cdd9e0a] Merge branch '2.5.2/master' into 2.6.0/master
  * [d969bac] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [fe3c5fb] Fabrice Barconnière: Update package since “debian/eole/2.6.0-22”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Feb 2018 15:51:34 +0100

arv (2.6.0-22) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [b513342] Ajout de l'algorithme de chiffrement aes128-sha256 pour ESP
  * [da2f702] Merge branch 'feature/new-algo-esp' into 2.6.0/master
  * [c02b7ab] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [da4c2f0] Fabrice Barconnière: Update package since “debian/eole/2.6.0-21”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 16 Oct 2017 08:16:51 +0200

arv (2.6.0-21) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [a752277] Le timeout du load des store était trop court et provoquait une erreur HTTP -1 à la connexion
  * [bf324d2] Merge branch '2.5.2/master' into 2.6.0/master
  * [36a170d] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [8cf2f47] Fabrice Barconnière: Update package since “debian/eole/2.6.0-20”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 13 Jun 2017 11:02:00 +0200

arv (2.6.0-20) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [237e403] Code module en cohérence avec sa version
  * [b1cecbd] Les fichiers temporaires de password étaient utilisés si déjà existants
  * [7c4f148] Merge branch '2.5.2/master' into 2.6.0/master
  * [486a1d9] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [df833f4] Fabrice Barconnière: Update package since “debian/eole/2.6.0-19”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 15 Dec 2016 08:46:41 +0100

arv (2.6.0-19) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [aa4f35d] get_modules retourne tous les modules supportés par Zéphir avec l'ID de la dernière version supportée
  * [ce09455] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [d96faf3] Fabrice Barconnière: Update package since “debian/eole/2.6.0-18”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 21 Nov 2016 11:27:51 +0100

arv (2.6.0-18) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [fd849a6] Possibilité de filtrage sur les serveurs lors de la création d'un tunnel
  * [553bdba] Possibilité de filtrage sur les certificats dans l'onglet Certificats
  * [35aa032] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [94f9b83] Fabrice Barconnière: Update package since “debian/eole/2.6.0-17”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 09 Sep 2016 13:29:37 +0200

arv (2.6.0-17) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [3897dc4] Suppression du script system V en mise à jour

  [ EOLE Build Daemon ]
  * [247b036] Daniel Dehennin: Update package since “debian/eole/2.6.0-16”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 02 Sep 2016 16:02:54 +0200

arv (2.6.0-16) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [ec8331f] Le chemin du certificat ne pointait pas sur le bon fichier
  * [1ee1753] Merge branch '2.5.2/master'
  * [017f740] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [f0da268] Fabrice Barconnière: Update package since “debian/eole/2.6.0-15”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 02 Sep 2016 15:21:51 +0200

arv (2.6.0-15) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [a09653d] Script init ARV : traitement du cas du problème de l'arrêt su service
  * [7f2efef] Merge branch '2.4.2/master' into 2.5.2/master
  * [7074c17] Utilisation de la bonne variable pour le nom de fichier du certificat local
  * [16c0ea8] Merge branch '2.5.2/master'

  [ Daniel Dehennin ]
  * [f611c4f] Suppression du script system V
  * [483032b] Merge branch 'master'
  * [2cdf2e3] Ne plus tenter d’installer le script system V

  [ EOLE Build Daemon ]
  * [a1e0f42] Daniel Dehennin: Update package since “debian/eole/2.6.0-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 31 Aug 2016 16:30:21 +0200

arv (2.6.0-14) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [60ee320] Corriger le chemin du fichier de log
  * [73c86db] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [0364c0a] Daniel Dehennin: Update package since “debian/eole/2.6.0-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 28 Jun 2016 10:49:24 +0200

arv (2.6.0-13) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a170807] Ne plus fournir de logrotate
  * [7d78ff7] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [e30b9b2] Daniel Dehennin: Update package since “debian/eole/2.6.0-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 28 Jun 2016 10:46:01 +0200

arv (2.6.0-12) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5f6756d] Définir le préfixe syslog du service
  * [0aab2b3] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [b2ca276] Daniel Dehennin: Update package since “debian/eole/2.6.0-11”



## arv 2.6.2-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=arv
 VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.0
+EOLE_RELEASE=2.6.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
arv (2.6.2-3) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [b513342] Ajout de l'algorithme de chiffrement aes128-sha256 pour ESP
  * [62f2cf0] Merge branch 'feature/new-algo-esp'
  * [9f2c313] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [a72e8dc] Fabrice Barconnière: Update package since “debian/eole/2.6.2-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 16 Oct 2017 08:19:22 +0200

arv (2.6.2-2) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [5772713] rsyslog était relancé inutilement et arv doit être relancé
  * [44d4928] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [430a9d0] Fabrice Barconnière: Update package since “debian/eole/2.6.2-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 11 Oct 2017 11:27:53 +0200

arv (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0fff844] Prepare version 2.6.2
  * [1c93a7b] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master

  [ Fabrice Barconnière ]
  * [86cb6a8] Le timeout du load des store était trop court et provoquait une erreur HTTP -1 à la connexion
  * [1772254] Les fichiers temporaires de password étaient utilisés si déjà existants
  * [c66586f] Le timeout du load des store était trop court et provoquait une erreur HTTP -1 à la connexion
  * [42f3250] Merge branch 'issue/18406'
  * [ae5d29d] Merge branch 'issue/18406' into 2.6.1/master
  * [4d0d904] Merge branch '2.6.1/master'
  * [a492ce0] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [c809e15] Fabrice Barconnière: Update package since “debian/eole/2.6.1-9”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 08 Jun 2017 09:59:27 +0200

arv (2.6.1-9) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [237e403] Code module en cohérence avec sa version
  * [b1cecbd] Les fichiers temporaires de password étaient utilisés si déjà existants
  * [7c4f148] Merge branch '2.5.2/master' into 2.6.0/master
  * [bed0584] Merge branch '2.6.0/master'
  * [60a282d] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [ca3a2ab] Fabrice Barconnière: Update package since “debian/eole/2.6.1-8”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 15 Dec 2016 08:48:27 +0100

arv (2.6.1-8) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [ec8e806] L'ajout d'un certificat sur le 2ème serveur dans le wizard ajout/modif connexion était inopérant
  * [30b4eaf] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [ba3b585] Fabrice Barconnière: Update package since “debian/eole/2.6.1-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 08 Dec 2016 10:39:25 +0100

arv (2.6.1-7) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [c55ed53] Le sous réseau n'était pas ajouté s'il était de type IP
  * [f2ee6a6] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [93cee52] Fabrice Barconnière: Update package since “debian/eole/2.6.1-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 08 Dec 2016 09:26:59 +0100

arv (2.6.1-6) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [a01a45d] Les extrémités roadwarrior n'ont pas d'adresse IP
  * [c8f4a58] Les extrémités sont inversées à la création d'une connexion
  * [6f39f5d] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [466c13f] Fabrice Barconnière: Update package since “debian/eole/2.6.1-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Dec 2016 16:02:50 +0100

arv (2.6.1-5) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [a416d9e] Support de configurations roadwarrior par ARV
  * [211fa7e] Meilleure gestion des commandes openssl et des mots de passe
  * [6989df6] Correction concernant l'affichage de l'état des tunnels dans ARV
  * [9ff7a1c] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [3728683] Fabrice Barconnière: Update package since “debian/eole/2.6.1-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 06 Dec 2016 14:29:27 +0100

arv (2.6.1-4) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [f1ba7d6] ARV interdit la construction de 2 connexions avec la même AC pour un même couple de serveurs
  * [f0629b0] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [a647685] Fabrice Barconnière: Update package since “debian/eole/2.6.1-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 30 Nov 2016 11:42:49 +0100

arv (2.6.1-3) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [d5a85ee] ARV sait générer des configuration IPSec avec la gestion de la fragmentation IKE
  * [7c637b2] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [0bf3ffd] Fabrice Barconnière: Update package since “debian/eole/2.6.1-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 29 Nov 2016 15:17:30 +0100

arv (2.6.1-2) eole-2.6-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [aa4f35d] get_modules retourne tous les modules supportés par Zéphir avec l'ID de la dernière version supportée
  * [b9fe703] Merge branch '2.6.0/master'
  * [95bbf89] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [4b83622] Fabrice Barconnière: Update package since “debian/eole/2.6.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 29 Nov 2016 08:36:31 +0100

arv (2.6.1-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [cc605e0] Prepare version 2.6.1
  * [12b2794] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master

  [ Joël Cuissinat ]
  * [9b9d862] Mise à niveau skeletor pour arv
  * [88d8c80] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [bc32b58] Joël Cuissinat: Update package since “debian/eole/2.6.0-18”



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev
+Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/arv

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

# Enable systemd services
override_dh_systemd_enable:
	dh_systemd_enable -parv --name=arv

.PHONY: dh_systemd_enable

## arv 2.8.1-16

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=arv
-VERSION=2.6
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
arv (2.8.1-16) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [b247ef2] Vérification de la CA lors de l'ajout d'un certif pour un lien sécurisé

  [ Benjamin Bohard ]
  * [5f8b071] Merge branch '2.8.0/master' into 2.8.1/master
  * [867f81b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6051f40] : Update package since “debian/eole/2.8.1-15”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Mon, 21 Aug 2023 16:21:21 +0200

arv (2.8.1-15) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [41a2598] Fix ajout de CA x509
  * [e06a4ee] Merge branch '2.8.0/master' into 2.8.1/master
  * [dea481e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [92b5a11] : Update package since “debian/eole/2.8.1-14”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Fri, 28 Jul 2023 15:24:41 +0200

arv (2.8.1-14) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [d23737c] Correction lors de la création d'un modèle de réseau Etablissement
  * [c9aa475] Correction lors de la création d'un modèle de serveur RVP
  * [0c48bc5] Merge branch '2.8.0/master' into 2.8.1/master
  * [7e3237c] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b83c996] Laurent Gourvénec: Update package since “debian/eole/2.8.1-13”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 16 May 2023 15:53:00 +0200

arv (2.8.1-13) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [5e836d4] Correction ajout d'un modèle de serveur lors de la création d'un modèle de lien sécurisé
  * [2671e4d] Merge branch '2.8.0/master' into 2.8.1/master
  * [8c9366d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ca02090] Joël Cuissinat: Update package since “debian/eole/2.8.1-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 28 Apr 2023 17:06:54 +0200

arv (2.8.1-12) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [dc09d27] Les PKCS7 ne contiennent pas obligatoirement des chaînes complètes.
  * [20c543e] Merge branch '2.8.0/master' into 2.8.1/master
  * [4b56f77] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [28bd0ce] Benjamin Bohard: Update package since “debian/eole/2.8.1-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 Feb 2023 09:18:02 +0100

arv (2.8.1-11) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b3588cb] Les certificats au format DER ne peuvent pas être encodés.
  * [5de70fd] Merge branch '2.8.0/master' into 2.8.1/master
  * [2913a0a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4dc3ed1] Benjamin Bohard: Update package since “debian/eole/2.8.1-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 24 Jan 2023 13:47:01 +0100

arv (2.8.1-10) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [2b56ab0] Traitement des pkcs7.
  * [694862b] Merge branch '2.8.0/master' into 2.8.1/master
  * [4c97545] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3d6fba9] Benjamin Bohard: Update package since “debian/eole/2.8.1-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 24 Jan 2023 11:40:57 +0100

arv (2.8.1-9) eole-2.8.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [b99a96c] Les "subject" de la table des certificats doivent être tous encodés dans la base ARV v1.0.2
  * [6a9fbdb] Merge branch '2.8.0/master' into 2.8.1/master
  * [005fbc8] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5f61d87] Fabrice Barconnière: Update package since “debian/eole/2.8.1-8”

 -- Fabrice Barconnière <fabrice.barconniere@region-academique-bourgogne-franche-comte.fr>  Wed, 22 Jun 2022 10:51:37 +0200

arv (2.8.1-8) eole-2.8.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [1846787] L'importation d'un certificat au format PEM provoquait une erreur
  * [ecdfeba] Il était impossible de remplacer un certificat CA dans l'onglet Certificats
  * [5d4ef7e] Merge branch '2.8.0/master' into 2.8.1/master
  * [844672f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3ab4fa0] Fabrice Barconnière: Update package since “debian/eole/2.8.1-7”

 -- Fabrice Barconnière <fabrice.barconniere@region-academique-bourgogne-franche-comte.fr>  Fri, 10 Jun 2022 08:38:11 +0200

arv (2.8.1-7) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ecc69f9] converti les fichiers pkcs7 vers pem (ref #34141)
  * [b282744] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ffb5894] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 10 May 2022 12:12:11 +0200

arv (2.8.1-6) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [65f99a9] arv : python3 updates (ref #33958)
  * [e62bb92] Merge branch '2.8.0/master' into 2.8.1/master
  * [5e5e0e6] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c14974a] Joël Cuissinat: Update package since “debian/eole/2.8.1-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 23 Mar 2022 12:31:29 +0100

arv (2.8.1-5) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [f61e7a1] converti le certificat en bytes si nécessaire (ref #33326)
  * [a03ef8c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a87a065] Emmanuel Garette: Update package since “debian/eole/2.8.1-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 06 Dec 2021 14:47:18 +0100

arv (2.8.1-4) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ca0cb7c] ajout d'un message d'erreur explicite si le certificat n'est pas correct (ref #33326)
  * [6b35195] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
+Build-Depends: debhelper (>= 9), python3-all-dev, dh-systemd, dh-python
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/arv
@@ -10,8 +10,8 @@
 
 Package: arv
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-arv,
- resource-agents, strongswan-starter, python-pyeole (>= 2.4.0-61)
+Depends: ${misc:Depends}, ${python3:Depends}, python-arv,
+ resource-agents, strongswan-starter, python3-pyeole
 Description: Administration de Réseaux Virtuels privés (ARV)
  ARV est un outil web permettant de gerer les configurations VPN
  pour les modules Eole.
@@ -22,9 +22,9 @@
 Package: python-arv
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python-elixir, python-sqlalchemy, python-formencode,
- python-configobj, python-pyparsing, sqlite3
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-sqlalchemy, python3-formencode,
+ python3-configobj, python3-pyparsing, sqlite3
 Description: Librairies python pour ARV
  ARV est un outil web permettant de gerer les configurations VPN
  pour les modules Eole.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with systemd
+	dh $@ --with systemd,python3
 
 # Enable systemd services
 override_dh_systemd_enable:

## arv 2.10.0-3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=arv
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
arv (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [5e54528] pkg_resources.parse_version => packaging.version.Version (ref #36822)
  * [a3caa4a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [cc29097] Emmanuel Garette: Update package since “debian/eole/2.10.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 06 May 2025 10:47:24 +0200

arv (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [6dd6f57] Utiliser les raw-strings.
  * [ca19b2a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [35e0b43] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Apr 2024 15:12:00 +0200

arv (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [99a4658] Prepare release 2.10.0
  * [888b700] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [84e579c] fix(depends): resource-agents → resource-agents-base

  [ EOLE Build Daemon ]
  * [09ba178] Joël Cuissinat: Update package since “debian/eole/2.9.0-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 Mar 2024 09:39:13 +0100

arv (2.9.0-15) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [b247ef2] Vérification de la CA lors de l'ajout d'un certif pour un lien sécurisé

  [ Benjamin Bohard ]
  * [5f8b071] Merge branch '2.8.0/master' into 2.8.1/master
  * [15cde4b] Merge branch '2.8.1/master'
  * [6727057] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7518c4f] : Update package since “debian/eole/2.9.0-14”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Mon, 21 Aug 2023 16:22:38 +0200

arv (2.9.0-14) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [41a2598] Fix ajout de CA x509
  * [e06a4ee] Merge branch '2.8.0/master' into 2.8.1/master
  * [80e1f49] Merge branch '2.8.1/master'
  * [488624a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [fa16f69] : Update package since “debian/eole/2.9.0-13”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Fri, 28 Jul 2023 15:27:42 +0200

arv (2.9.0-13) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f5abdfd] setHeader nécessite des types str et bytes
  * [1aafc02] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4bfb0f3] Benjamin Bohard: Update package since “debian/eole/2.9.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 19 Jun 2023 09:36:04 +0200

arv (2.9.0-12) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [d23737c] Correction lors de la création d'un modèle de réseau Etablissement
  * [c9aa475] Correction lors de la création d'un modèle de serveur RVP
  * [0c48bc5] Merge branch '2.8.0/master' into 2.8.1/master
  * [42e7f46] Merge branch '2.8.1/master'
  * [3d55b10] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [06bd89c] Laurent Gourvénec: Update package since “debian/eole/2.9.0-11”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 16 May 2023 15:54:12 +0200

arv (2.9.0-11) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [5e836d4] Correction ajout d'un modèle de serveur lors de la création d'un modèle de lien sécurisé
  * [2671e4d] Merge branch '2.8.0/master' into 2.8.1/master
  * [569eff4] Merge branch '2.8.1/master'
  * [a6b26a6] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4577249] Joël Cuissinat: Update package since “debian/eole/2.9.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 28 Apr 2023 17:08:58 +0200

arv (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [dc09d27] Les PKCS7 ne contiennent pas obligatoirement des chaînes complètes.
  * [20c543e] Merge branch '2.8.0/master' into 2.8.1/master
  * [50fd5b4] Merge branch '2.8.1/master'
  * [6a33ee4] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7a08b10] Benjamin Bohard: Update package since “debian/eole/2.9.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 Feb 2023 09:18:51 +0100

arv (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b3588cb] Les certificats au format DER ne peuvent pas être encodés.
  * [5de70fd] Merge branch '2.8.0/master' into 2.8.1/master
  * [44d5505] Merge branch '2.8.1/master'
  * [b5ab400] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7931b46] Benjamin Bohard: Update package since “debian/eole/2.9.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 24 Jan 2023 13:46:32 +0100

arv (2.9.0-8) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [2b56ab0] Traitement des pkcs7.
  * [694862b] Merge branch '2.8.0/master' into 2.8.1/master
  * [a1d9095] Merge branch '2.8.1/master'
  * [2091f70] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [908c57b] Benjamin Bohard: Update package since “debian/eole/2.9.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 24 Jan 2023 11:38:24 +0100

arv (2.9.0-7) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [6f76fc9] récupérer le keyid avec une version 3 de openssl (ref #34894)
  * [74255fd] Pouvoir import les certifications avec openssl v3 (ref #35018)
  * [82efb31] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c0087f8] Philippe Caseiro: Update package since “debian/eole/2.9.0-6”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 18 Nov 2022 15:31:33 +0100

arv (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [b99a96c] Les "subject" de la table des certificats doivent être tous encodés dans la base ARV v1.0.2
  * [6a9fbdb] Merge branch '2.8.0/master' into 2.8.1/master
  * [18d9d8e] Merge branch '2.8.1/master'
  * [91e580f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -2,16 +2,22 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python3-all-dev, dh-systemd, dh-python
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 13),
+               python3-all,
+               dh-python,
+               python3-all-dev,
+Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/arv
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/arv/repository
 
 Package: arv
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python-arv,
- resource-agents, strongswan-starter, python3-pyeole
+Depends: ${misc:Depends}, ${python3:Depends},
+         python-arv,
+         resource-agents-base,
+         strongswan-starter,
+         python3-pyeole
 Description: Administration de Réseaux Virtuels privés (ARV)
  ARV est un outil web permettant de gerer les configurations VPN
  pour les modules Eole.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	make DESTDIR=debian/tmp install
	dh_auto_install

# Enable systemd services
override_dh_installsystemd:
	dh_installsystemd -parv --name=arv

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_installsystemd
